Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 libXfixes runtime library
Name: 		libXfixes
Version: 	4.0.5
Release: 	2
License: 	MIT/X11
Group: 		System/Libraries
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	i686

Source0: 	http://xorg.freedesktop.org/releases/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-proto-devel
BuildRequires:  xorg-x11-util-macros

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libX11-devel

%description
X.Org X11 libXfixes runtime library

%package devel
Summary: 	X.Org X11 libXfixes development package
Group: 		Development/Libraries
Requires(pre): 	xorg-x11-filesystem >= 0.99.2-3
Requires: 	%{name} = %{version}-%{release}

# xfixes.pc Requires: xproto fixesproto >= 4.0
Requires: 	xorg-x11-proto-devel

Obsoletes: 	xorg-devel

%description devel
X.Org X11 libXfixes development package

%prep
%setup -q -n %{name}-%{version}

# Disable static library creation by default.
%define with_static 0

%build
%configure \
%if ! %{with_static}
	--disable-static
%endif
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# We intentionally don't ship *.la files
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README INSTALL ChangeLog
%{_libdir}/libXfixes.so.3
%{_libdir}/libXfixes.so.3.*

%files devel
%defattr(-,root,root,-)
%{_includedir}/X11/extensions/Xfixes.h
%if %{with_static}
%{_libdir}/libXfixes.a
%endif
%{_libdir}/libXfixes.so
%{_libdir}/pkgconfig/xfixes.pc
%{_mandir}/man3/Xfixes.3*

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0.5-2
- rebuilt
* Fri Aug 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 4.0.5-1
- version update
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.0.4-1
- version update
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.0.3-5
- rebuilt
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 4.0.3-4
- rebuilt, updated dependencies
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 4.0.3-3
- Rebuild against new xserver 1.5.0
* Sat Sep 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.0.3-2
- rebuilt for Xorg 7.3
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 4.0.3-1
- Version update
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 4.0.1-1
- Initial release
